Carnegie Mellon University

Java Runtime Environment (JRE) Plug-In

The Java Runtime Environment (JRE) plug-in is required for Java-based web applications to run properly. If you have at least one responsibility in Oracle Financials or use the Electronic Content Management (ECM) system, you must download and install the JRE plug-in from the Oracle Java web site.

System Requirements

  • The Financial Systems Team tests the current JRE version with the latest version of Windows and Internet Explorer for both Oracle Financials and ECM.
  • While Oracle Financials may run on other operating systems or web browsers, they are not supported. Instead, use Citrix MyApps  to access Oracle Financials or ECM.